﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Web.UI.HtmlControls;

public partial class RadDockSample : System.Web.UI.Page
{
	protected void Page_Init(object sender, EventArgs e)
	{
		RadDock dock = new RadDock();
		dock.ID = "RadDock1";
		dock.Width = Unit.Pixel(300);
		dock.Height = Unit.Pixel(100);
		dock.TitlebarTemplate = new DockTitleTemplate(dock); // the TitlebarTemplate is set
		RadDockZone1.Controls.Add(dock);
		dock.EnableDrag = false;
	}


	public class DockTitleTemplate : ITemplate // creating a class, implementing the ITemplate interface
	{
		HtmlGenericControl newUl = new HtmlGenericControl("ul");
		HtmlGenericControl newLi = new HtmlGenericControl("li");
		HtmlGenericControl newLi2 = new HtmlGenericControl("li");
		HtmlGenericControl newLi3 = new HtmlGenericControl("li");
		RadDock dock;

		public DockTitleTemplate(RadDock dock)
		{
			this.dock = dock;
		}

		public void InstantiateIn(Control container)
		{
			newUl.Attributes["class"] = "PoiList";
			newLi.InnerText = "item1";
			newUl.Controls.Add(newLi);

			newLi2.InnerText = "item2";
			newUl.Controls.Add(newLi2);

			newLi3.InnerText = "item3";
			newUl.Controls.Add(newLi3);

			container.Controls.Add(newUl);
		}
	}

}